/* 
Theme Name: La soufflerie
Theme URI: /
Description: Custom theme for La soufflerie.com
Author: Rmzpth
Author URI: /
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

input:focus, select:focus, textarea:focus, button:focus {
    outline: none;
}

/* CUSTOM ON-HOVER IMAGE */
.woocommerce ul.products li.product a img { 
    /* FORMAT ALL IMAGES TO FILL EQUIVALENT SPACE,
    to remove jitter on replacement */
    width: 100%;
    object-fit: cover;
    padding: 0;
    margin: 0 auto;
    margin-bottom: 8px;
}
.woocommerce ul.products li.product a img:nth-of-type(2) {
	visibility: hidden;
    opacity: 0;
    transition: opacity 2s linear;
    display: none;
}
.woocommerce ul.products li.product a:hover img:nth-of-type(2) {
    visibility: visible;
    opacity: 1;
    display: block;
}
.woocommerce ul.products li.product a:hover img:nth-of-type(1) {
    display: none;
}

.woocommerce .wfc-cross-sells__inner-container ul.products li.product a:hover img:nth-of-type(1) {
    display: block;
}


.bapf_body {
  display: inline-block;
  margin-left: 1em;
}

.shophead li::after {
  content: "|";
  padding-left: .5em;
  padding-right: .5em;
}

.bapf_head {
  font-weight: 300 !important;
  font-size: .8em;
  display: inline-block;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 200 !important;
  position: relative;
  top: 1px;
}

.bapf_hideckbox li label, .bapf_hideckbox li label a {
  color: black !important;
}

.bapf_hideckbox li input:checked + label:hover, .bapf_hideckbox li input:checked + label:hover a, .bapf_hideckbox li label:hover, .bapf_hideckbox li label:hover a {
  color: black !important;
  text-decoration: underline;
}


.bapf_sfilter {
  margin-bottom: 10px;
}

.bapf_body select {
  background: white;
  color: black;
  border: transparent;
  padding: 5px 5px 8px;
  border-radius:10px;
  font-size:13px;
}


.berocket_single_filter_widget.group{
  display: inline-block;
}

.wfc-cart-table.wfc-cart-form__contents.has-background
{
  color: black;
  font-size: .8em;
}


.product-name
{
  font-size: 14px !important;
  color: black;
  font-weight: 800 !important;
}

.woocommerce-Price-amount.amount
{
  font-size: 13px;
  font-weight: normal !important;
}


.single-product .elementor-widget-woocommerce-product-price .woocommerce-Price-amount.amount
{
  font-size: 30px;
  font-weight: 200 !important;
}


.wfc-cart-table td.product-thumbnail img
{
  height: 71px;
  -o-object-fit: cover;
  object-fit: cover;
  width: 71px;
  border-radius: 0 !important;
}


.wfc-cart-table td.product-quantity input.qty
{
  -webkit-appearance: auto !important;
  -moz-appearance: auto !important;
  appearance: auto !important;
  -webkit-appearance: number-input;
  -moz-appearance: number-input;
  background: transparent;
  border: 1px solid;
  border-radius: var(--wfc-btn-radius);
  box-shadow: none;
  color: black;
  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,Open Sans,Helvetica Neue,sans-serif;
  font-size: 13px;
  height: 30px;
  margin: 0;
  max-width: 100%;
  padding: 0 0 0 5px;
  text-align: left;
  width: 45px;
}


.wfc-cart-table td.product-remove a.wfc-cart__remove
{
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 viewBox=%270 0 352 512%27%3E%3Cpath d=%27m242.72 256 100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48z%27/%3E%3C/svg%3E");
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-size: 16px 16px;
  display: block;
  height: 8px;
  opacity: .53;
  width: 8px;
}


.wc-fast-cart .wfc-coupon button.wfc-button
{
  background: black !important;
  border-radius: 0 !important;
  color: #fff;
  flex: 0 0 auto;
  height: 50px;
  margin: 0;
  padding: 0 15px;
}


.wfc-cart-collaterals .wfc-proceed-to-checkout a.wfc-button
{
  align-items: center;
  border: 2px solid var(--wfc-btn-border-color);
  border-radius: 0 !important;
  display: inline-flex;
  flex: 1 1 50%;
  height: 45px;
  justify-content: center;
  text-align: center;
}


.woocommerce-ordering
{
}


.is-style-side .wfc-cart-table tr.wfc-cart-form__cart-item td.product-thumbnail
{
  -ms-grid-row: 1;
  -ms-grid-row-span: 3;
  align-self: flex-start;
  grid-area: thumbnail;
  -ms-grid-column: 1;
  width: 120px !important;
}

.wfc-cart-table td.product-thumbnail img
{
  border-radius: 0 !important;
  height: 150px !important;
  -o-object-fit: cover;
  object-fit: cover;
  width: 120px !important;
}

.wfc-cart-table td.product-subtotal .amount ~ *
{
  margin-left: .25em;
  display: none;
}

.order-total .includes_tax
{
  font-size: 10px !important;
  font-weight: normal;
}


.order-total .includes_tax .woocommerce-Price-amount.amount
{
  font-size: 10px;
  font-weight: normal !important;
}

.order-total .woocommerce-Price-amount.amount
{
  font-size: 16px;
  font-weight: 600 !important;
  color: black;
}


.cart-subtotal .tax_label
{
  display: none;
}


.wfc-cart-table td.product-quantity input.qty
{
  border: 1px solid !important;
}


.order-total
{
  color: black !important;
}


.wc-fast-cart > h2
{
  border-bottom: 6px solid black;
  margin-bottom: 0;
  padding-bottom: 26px;
  text-align: left;
  color: black;
}


.elementor-widget-woocommerce-product-content a
{
  background-color: transparent;
  text-decoration: none;
  color: black;
  font-weight: 600;
  text-decoration: underline !important;
}


.up-sells .woocommerce-loop-product__title, .up-sells .price, .up-sells .add_to_cart_button 
{
  display: none !important;
}


.wcgs-lightbox.top_right
{
  display: none;
}

.single-product .stock {
  color: black !important;
  font-weight: 300 !important;
  font-size: 14px !important;
}


.single-product .related-single .woocommerce-Price-amount.amount
{
  font-size: 13px;
  font-weight: normal !important;
  color:black; 
}

table td, table th
{
  border: 0 !important;
  vertical-align: middle;
}

.ant-image.css-eq3tly
{
  height: auto !important;
  width: 100px !important;
}


:where(.css-eq3tly).ant-btn.ant-btn-lg
{
  border-radius: 0 !important;
}


.product_title.entry-title.elementor-heading-title.elementor-size-default a
{
  text-decoration: none !important;
}


.woocommerce-MyAccount-navigation ul
{
  list-style: none;
}

.woocommerce-MyAccount-navigation ul a
{
  text-decoration: none;
}


.woocommerce-MyAccount-navigation ul a
{
  text-decoration: none;
  font-weight: 600;
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: .008em;
}

.woocommerce-account .woocommerce-MyAccount-content
{
  float: right;
  width: 80%;
}

.woocommerce-account .woocommerce-MyAccount-navigation
{
  float: left;
  width: 20%;
}

#add_payment_method #payment ul.payment_methods, .woocommerce-cart #payment ul.payment_methods, .woocommerce-checkout #payment ul.payment_methods
{
  text-align: left;
  padding: 1em;
  border-bottom: transparent;
  margin: 0;
  list-style: none outside;
}

#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment
{
  background: #F9F9F9;
}


#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box
{
  background-color: #F2F2F2;
  color: black;
}

#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before
{
  border: 1em solid #F2F2F2;
  border-right-color: transparent;
  border-left-color: transparent;
  border-top-color: transparent;
}


.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt
{
  background-color: black;
  color: #fff;
  font-weight: 300;
  border-radius: 10px;
  padding: 15px;
}


.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:hover
{
  background-color: grey;
  color: #fff;
}

/****************CHECKOUT***************/
.woocommerce form .form-row {
    width: 100% !important;
}
.woocommerce-checkout #payment div.payment_box input.input-text, .woocommerce-checkout #payment div.payment_box textarea {
    width: 100% !important;
    padding: 8px;
}
.woocommerce #payment .form-row select, .woocommerce-page #payment .form-row select {
    width: 100%;
}
.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1,.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    float: left;
    width: 100%;
}
.custom-checkout h3 {
    width: 45%;
    text-align: center;
    padding: 10px;
    border-radius: 5px;
    margin-top: 50px;
    float: right;
}

.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea {
  outline: 0;
  border: 0;
  font-size:16px;
  -webkit-appearance: none;
  border-radius: 10px;
  box-sizing: border-box;
  font-weight: 500;
  border: solid 1px black;
  padding: 16px 20px;
}

#wc_checkout_add_ons {
    width: 45%;
    float: right;
    text-align: center;
}

@media screen and (min-width: 980px) {
.woocommerce-shipping-fields h3, .woocommerce-billing-fields h3 {width:100%;}
.woocommerce .col2-set, .woocommerce-page .col2-set {
 width: 50%;
 float: left;
}
  .woocommerce-checkout-review-order
{
    width: 45%;
    float: right;
    box-shadow: 5px 5px 17px 5px rgba(0,0,0,0.10);
    border-radius: 5px;
    padding: 1em;
  }

}


@media screen and (max-width: 979px) {
.custom-checkout h3 {
 width: 100%;
}


}

.ts-product-image
{
  float: left;
  width: 80px;
  margin-right: 15px;
}


.woocommerce table.shop_table td
{
  border-top: 1px solid rgba(0,0,0,.1);
  padding: 9px 12px 4px;
  vertical-align: initial !important;
  line-height: 1.5em;
}

.cart_item .product-name
{
  font-size: 14px !important;
  color: black;
  font-weight: 400 !important;
}


.woocommerce table.shop_table
{
  border: 0;
}

#order_review_heading
{
  display: none;
}

.woocommerce-billing-fields h3
{
  font-size: 20px;
  font-weight: 800;
}


.woocommerce-privacy-policy-text
{
  font-size: 12px;
}

.payment_box
{
  font-size: 12px !important;
}

.wc-block-components-notice-banner.is-info
{
  background: transparent !important;
  border: none;
  text-align: center;
}

.checkout_coupon.woocommerce-form-coupon
{
  max-width: 800px;
  margin: 0 auto !important;
  border: none !important;
  background: #F2F2F2;
  text-align: center !important;
}

.checkout_coupon.woocommerce-form-coupon button
{
  background: black;
  border-radius: 0;
  color: white;
  font-weight: 300;
  font-size: 14px;
  padding: 15px 20px;
}


.checkout_coupon.woocommerce-form-coupon button:hover
{
  background: #333;
  color:white;
}


#coupon_code
{
  text-align: center;
}


.checkout_coupon.woocommerce-form-coupon p
{
font-size:12px;
}

body.e-wc-error-notice .woocommerce-error, body.e-wc-error-notice .wc-block-components-notice-banner.is-error
{
  background-color: transparent;
  border: 0;
  text-align: center;
}


#nav-scroll {
  top: 0;
  transition: top 0.3s;
}

#nav-scroll-resp {
  top: 0;
  transition: top 0.3s;
}




.elementor-kit-14 a h2
{
  color: var( --e-global-color-primary );
  text-decoration: underline;
  text-decoration: none;
}

.elementor-menu-cart--items-indicator-bubble .elementor-menu-cart__toggle .elementor-button-icon .elementor-button-icon-qty[data-counter]
{
  min-width: 2em !important;
  height: 2em !important;
  line-height: 2em !important;
  font-size: 13px !important;
  text-decoration: none !important;
}

.e-atc-qty-button-holder
{
  clear: both;
}

.woocommerce-page div.product div.bundled_product_images, .woocommerce-page #content div.product div.bundled_product_images, .woocommerce div.product div.bundled_product_images, .woocommerce #content div.product div.bundled_product_images
{
  float: left !important;
  width: 20%  ;
  margin: 0;
  max-width: 100px;
}


div.bundled_product_summary:not(.thumbnail_hidden) .details
{
  float: left !important;
  width: auto !important;
  padding: 0 0 0 1.5rem;
}

.bundled_product_optional_checkbox .price
{
  float: right !important;
  padding-left: 4px;
  color: black !important;
    font-size: 15px !important;
  font-weight: 800 !important;

}

div.bundled_product_summary, .woocommerce div.product.bundled_product_summary
{
  padding-bottom: 1.618rem;
  margin-bottom: 0 !important;
  border-bottom: 0 !important;
}


.bundle_form.bundle_sells_form
{
  margin-bottom: 0;
  padding-top: 0 !important;
}

.bundled_product_title_inner .item_title
{
  font-size: 17px !important;
  font-weight: 600 !important;
}


.bundled_product_title.product_title
{
  font-size: 17px !important;
  font-weight: 200 !important;
}

.bundled_product_summary .bundled_product_optional_checkbox
{
  margin: 0;
  padding: 0;
  line-height: 1em;
}


.bundled_product_permalink
{
  display: none;
}

ul.products li.product.outofstock::before {
  content: "Coming soon";
  position: absolute;
  z-index: 8;
  right: 0;
  top: 0;
  padding: .6em;
  pointer-events: none;
  background: #ffffffd4;
  text-transform: uppercase;
  font-size: .7em;
  letter-spacing: .08em;
}

:lang(fr) ul.products li.product.outofstock::before {
  content: "Coming soon";
  position: absolute;
  z-index: 8;
  right: 0;
  top: 0;
  padding: .6em;
  pointer-events: none;
  background: #ffffffd4;
  text-transform: uppercase;
  font-size: .7em;
  letter-spacing: .08em;
}



.cwginstock-subscribe-form
{
  max-width: 370px;
  border: 0;
}

.cwginstock-subscribe-form .panel-heading
{
  padding: 0 !important;
  border-bottom: 0;
    border-bottom-color: currentcolor;
  border-top-right-radius: 0;
  border-top-left-radius: 3px;
}

.cwginstock-panel-heading h4
{
  color: black !important;
  font-size: 14px;
  font-weight: 600;
  border-bottom: 0 !important;
  text-align: left !important;
  margin: 0 !important;
}


.cwginstock-subscribe-form .panel-primary > .panel-heading
{
  color: #fff;
  background-color: white !important;
  border-color: transparent !important;
}

.cwginstock-subscribe-form .panel-primary
{
  border-color: black !important;
  border-radius: 0;
  background: #fff;
}
.cwginstock-subscribe-form .panel
{
  margin-bottom: 20px;
  border: 0px solid transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
  border-radius: 4px;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.cwgstock_button
{
  border: none;
  padding: 12px !important;
}

.cwgstock_email {
  margin-bottom: 10px !important;
  padding: 15px 4px 14px 4px !important;
  width: 300px !important;
}

.cwginstock-subscribe-form .panel-body
{
  padding: 15px 0 15px !important;
}

.form-group
{
  margin-bottom: 0 !important;
}


.cwginstock-subscribe-form .panel
{
  margin-bottom: 0 !important;
  border: 0px solid transparent !important;
}


.cwginstocksuccess, .cwgstock_output
{
  font-size: 12px;
  text-align: center;
  font-weight: 200;
  padding: 10px 0 5px;
}


.woocommerce-page #customer_login.col2-set
{
  width: 100%;
}

.woocommerce-page #customer_login.col2-set  .col-2, .woocommerce-page #customer_login.col2-set  .col-1
{
  width: 40%;
  margin: 5%;
}


.wfc-cart-collaterals .wfc-cross-sells.wfc-carousel li.product .woocommerce-loop-product__title
{
  margin-bottom: 10px;
  order: 1;
  font-size: 13px;
  color: black !important;
}


.wc-fast-cart bdi
{
  color: black !important;
}


.wfc-cross-sells__item-actions
{
  margin: 0 !important;
}


.wfc-cart-collaterals .wfc-cross-sells ul.products .product .woocommerce-loop-product__title
{
  align-self: flex-end;
  border: 0;
  font-size: 13px;
  font-weight: 700;
  grid-column: 2/span 2;
  grid-row: 1/span 1;
  margin: 0;
  padding: 0;
  color: black;
}


.wfc-button.wfc-exit, .wfc-checkout-button 
{
  text-decoration: none;
}

.wfc-cart-collaterals .wfc-proceed-to-checkout a.wfc-button
{
  align-items: center;
  border: 2px solid var(--wfc-btn-border-color);
  border-radius: var(--wfc-btn-radius);
  display: inline-flex;
  flex: 1 1 50%;
  height: 45px;
  justify-content: center;
  text-align: center;
  text-decoration: none;
}


.wfc-cart-collaterals .wfc-cross-sells h3
{
  border: none;
  font-size: 17px !important;
  font-weight: 300 !important;
  margin-bottom: 24px;
  margin-top: 0;
  padding: 0;
}

.wfc-cart-collaterals .wfc-cross-sells ul.products .product .button.add_to_cart_button
{
  align-items: center;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: white !important;
  border: 1px solid var(--wfc-btn-border-color) !important;
  border-radius: var(--wfc-btn-radius);
  box-shadow: none;
  color: black !important;
  display: inline-flex;
  font-size: 14px !important;
  height: 34px;
  justify-content: center;
  justify-self: stretch;
  padding: 0 8px;
  font-weight: 300 !important;
}


.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt.disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt.disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:disabled[disabled], .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:disabled[disabled]:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt.disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt.disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:disabled[disabled], .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:disabled[disabled]:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:disabled[disabled], .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:disabled[disabled]:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt.disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt.disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:disabled, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:disabled:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:disabled[disabled], .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:disabled[disabled]:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt.disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt.disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:disabled[disabled], :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:disabled[disabled]:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt.disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt.disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:disabled[disabled], :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:disabled[disabled]:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt.disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt.disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:disabled[disabled], :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:disabled[disabled]:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt.disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt.disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:disabled, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:disabled:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:disabled[disabled], :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:disabled[disabled]:hover
{
  background-color: #000;
  color: #fff;
}


.cwginstock-subscribe-form .center-block
{
  display: inline-block !important;
  margin-left: auto;
  margin-right: auto;
}


.panel-body.cwginstock-panel-body .col-md-12
{
  padding: 0 0 0 8px !important;
}


.cwgstock_button
{
  border: 1px solid black;
  padding: 0 20px !important;
  position: relative;
  top: 1px;
  left: -6px;
  height: 50px;
}

.cwgstock_button
{
  border: 1px solid black;
  padding: 0 20px !important;
  position: relative;
  top: 1px;
  left: -6px;
  height: 50px;
}


.aws-container .aws-search-form .aws-search-btn_icon
{
  color: white !important;
}

.aws-container .aws-search-form .aws-form-btn
{
  background: black !important;
  border: 1px solid #000 !important;
}

.aws-container .aws-search-form .aws-form-btn:hover
{
  background: #333 !important;
}


.aws-search-result .aws_result_image img
{
  width: 100px !important;
  height: auto;
  box-shadow: none;
}

.aws-search-result .aws_result_title
{
  font-weight: 600 !important;
  color: black !important;
  font-size: 14px !important;
}

.aws-search-result ul li
{
  border-bottom: 1px solid #F2F2F2 !important;
}


.aws-search-result ul li:last-child
{
  border-bottom: 0;
  background: black !important;
}

.aws-search-result ul li:last-child a
{
color: white !important;}

.aws-search-result
{
  margin-top: 0px !important;
  border: none !important;
}


.woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering
{
  float: right;
  position: absolute;
  z-index: 0;
  right: 0;
  top: -50px;
}



@media all and (max-width:64em) {

.woocommerce ul.products li.product:hover .woocommerce-loop-product__buttons {
display: none !important;
}


    .wwof-order-form[data-v-ad7be658] .ant-table-tbody tr.ant-table-row:has(td.ant-table-cell:nth-child(1)):has(td.ant-table-cell:nth-child(-n+13):last-child) {
    width: 100% !important;
  }

  .cwginstock-subscribe-form {
  max-width: 370px;
  border: 0;
  margin: 0 auto;
}


.cwginstock-panel-heading h4 {
  font-size: 12px;
}


.woocommerce-checkout .page {
  margin: 1em;
}

.woocommerce-info {
  text-align: center;
}

.single_add_to_cart_button.button.alt
{
  width: 100%;
  margin-right: 10px;
}

.single-product .elementor-widget-woocommerce-product-price .woocommerce-Price-amount.amount
{
  font-size: 16px;
  font-weight: 200 !important;
}

.quantity
{
  margin-left: 10px !important;
}
}


.single-post .singlepost-content img {
  width: 100% !important;
}


.e--pointer-double-line .elementor-item::after, .e--pointer-double-line .elementor-item::before, .e--pointer-overline .elementor-item::after, .e--pointer-overline .elementor-item::before, .e--pointer-underline .elementor-item::after, .e--pointer-underline .elementor-item::before {
  height: 1px !important;
}

.orderby {
  background: white;
  font-size: 13px;
  border: transparent;
  position: relative;
  top: 7px;
}

.wps_rma_refund_form_wrapper.wps-rma-form__wrapper {
  max-width: 900px;
  margin: 6em auto;
}


.woocommerce-loop-product__buttons {
  position: absolute;
  bottom: 7px;
  right: 10px;
  display: none;
}


.woocommerce ul.products li.product:hover .woocommerce-loop-product__buttons {
display: block;
}

#customer_login h2 {
  font-weight: 800;
}


.woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register {
  border: none;
  padding: 0;
  margin: 2em 0;
  text-align: left;
  border-radius: 5px;
}

.woocommerce-button.button.woocommerce-form-login__submit, .woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit {
  background: black;
  border: 1px solid black;
  border-radius: 0;
  color: white;
  padding: 20px 40px;
}

.woocommerce-button.button.woocommerce-form-login__submit:hover, .woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit:hover {
  background: white;
  border: 1px solid black;
  border-radius: 0;
  color: black;
  padding: 20px 40px;
}

.woocommerce-MyAccount-content h2 {
  font-weight: 800;
}

.woocommerce-account .woocommerce-MyAccount-content .button {
  border-radius: 0;
  font-size: 14px;
  padding: 14px;
  border: 1px solid black;
}

.woocommerce-account .woocommerce-MyAccount-content .button:hover {
  background: white;
  color:black;
  border: 1px solid black;
}


.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions .button {
  background: black;
  margin-right: 7px;
  vertical-align: middle;
  border:1px solid black;
  margin-top: 0 !important;
  margin-bottom: 5px;
  color: white;
  font-weight: 300;
  font-size: 12px;
}

table tbody > tr:nth-child(2n+1) > td, table tbody > tr:nth-child(2n+1) > th {
  background-color: white;
}

table tbody tr:hover > td, table tbody tr:hover > th {
  background-color: #8bd5b12b;
}

.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions {
  text-align: right;
}

.wfc-cart-form__cart-item.cart_item .product-name a {
  text-decoration: none;
  font-weight: 800;
}

.wc-fast-cart__inner-contents .wfc-cart-table td.product-quantity input.qty {
  background: transparent !important;
  border: 1px solid !important;
  border-radius: 1px !important;
}

.woocommerce-shipping-destination {
  font-size: .8em !important;
}

.woocommerce-shipping-calculator .shipping-calculator-button {
  font-size: 12px;
  color: black !important;
  font-weight: 600;
}

.shipping-calculator-button:hover {
  color: #8bd5b1 !important;
}

.woocommerce-EditAccountForm.edit-account {
  max-width: 800px;
}

.woocommerce-form-row.woocommerce-form-row--wide.form-row.form-row-wide em {
  font-size: 10px;
}

#square-gift-card-apply-btn {
  border-radius: 0;
  border: 1px solid;
  font-size: 12px;
  background: black;
  margin: 0;
  padding: 0;
    padding-right: 0px;
    padding-left: 0px;
}

#square-gift-card-apply-btn:hover {
  border-radius: 0;
  border: 1px solid;
  font-size: 12px;
background: white;}

#square-gift-card-apply-button-wrapper {
  padding-left: 0 !important;
}

fieldset {
  padding: 0;
  border: 0;
}

.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
  text-align: center;
  background: #8bd5b175;
  padding: 2em;
}

.woocommerce ul.order_details {
  list-style: none;
  width: 100%;
  margin: 2em auto;
  max-width: 970px;
  border: 1px solid;
  padding: 2em;
}

.woocommerce-order-details {
  max-width: 970px;
  margin: 0 auto;
    margin-bottom: 0px;
}

.woocommerce-order-details__title {
  font-weight: 800;
  text-align: center;
}

.woocommerce-table.woocommerce-table--order-details.shop_table.order_details, .woocommerce-table.woocommerce-table--order-details.shop_table.order_details {
  max-width: 850px;
  margin: 2em auto;
  border-radius: 5px;
  padding: 2em;
  box-shadow: 5px 5px 17px 5px rgba(0,0,0,0.10);
}

.woocommerce-customer-details {
  text-align: center;
}


.woocommerce .woocommerce-customer-details, .woocommerce .woocommerce-order-details, .woocommerce .woocommerce-order-downloads {
  margin-bottom: 2em;
  max-width: 850px;
  margin: 0 auto;
}

.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1 h2, .woocommerce-column.woocommerce-column--2.woocommerce-column--shipping-address.col-2 h2 {
  font-weight: 800;
}


  .woocommerce.woocommerce-order-received .col2-set {
    width: 100%;
    float: left;
  }


  .woocommerce .woocommerce-customer-details address {
      margin: 2em auto;
  border-radius: 5px;
  padding: 2em;
  box-shadow: 5px 5px 17px 5px rgba(0,0,0,0.10);
  }


  .woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1 {
  margin-bottom: 3em;
}

#rightscroll {
  overflow-y: scroll;
  bottom: 0;
}

#rightscroll::-webkit-scrollbar, #rightscroll::-moz-scrollbar, #rightscroll::-ms-scrollbar, #rightscroll::-o-scrollbar {
    width: 0px;
    background: transparent; /* make scrollbar transparent */
}


.blog .category-press, .blog .category-presse {
  display: none !important;
}

span.wwpp-minimum-requirements {
    display: none !important;
}

td.product-price {
    position: relative;
}

del.wholesale_price_container {
    font-size: 13px;
    position: absolute;
    top: 35px;
}

span.wholesale_price_container {
    display: inline-block !important;
}

.ant-modal-body .ant-image.css-eq3tly {
  width: 100% !important;
}


.ant-modal-body .product-categories {
  display: none;
}

.ant-modal-body .product-name {
  font-size: 40px !important;
  text-decoration: none !important;
  margin-top: 1em;
}


.ant-modal-body .woocommerce-Price-amount.amount {
    font-size: 16px !important;
    font-weight: 200 !important;
    text-decoration: none !important;
}


@media (min-width: 768px) {
  :where(.css-eq3tly).ant-col-md-16 {
    display: block;
    flex: 0 0 50% !important;
    max-width: 50% !important;
    padding-left: 20px !important;
  }
}

@media (min-width: 768px) {
  :where(.css-eq3tly).ant-col-md-16 {
    display: block;
    flex: 0 0 50% !important;
    max-width: 50% !important;
  }
}

.css-eq3tly.ant-btn.ant-btn-primary {
  padding: 20px 20px;
  line-height: 0;
  border: black;
  border-radius: 0;
}

.css-eq3tly.ant-btn.ant-btn-primary:hover {
background: black;
}

.single-product .elementor-widget-woocommerce-product-price .wholesale_price_container {
  display: block !important;
  margin: 0 !important;
  font-size: 17px !important;
}


.single-product .elementor-widget-woocommerce-product-price .wholesale_price_minimum_order_quantity {
  font-size: 17px !important;
}

.single-product .elementor-widget-woocommerce-product-price .wholesale_price_container {
  font-size: 13px !important;
  color: black !important;
}

.single-product  .related-single .elementor-widget-woocommerce-product-price .wholesale_price_minimum_order_quantity {
  font-size: 13px !important;
  color: black !important;
}

/******************** Whole sale form *****************************************/

/*masquer les champs pour ajouter au panier sur le popup formulaire wholesale*/
body .ant-modal-content .add-to-cart {
  display:none !important;  
}

 /* message alerte au dessus formulaire */
.ant-alert-info {
  background-color: #f0ad4e;
  color:#fff !important;
  border: 1px solid #f0ad4e;
} 

.ant-alert-info .ant-alert-icon {
  color: #fff;
}
.ant-alert-message {
  color:#fff !important;
}

/* cases à cocher */
.ant-checkbox-checked .ant-checkbox-inner {
  background-color: #387552;
  border-color: #387552;
}

/* pagination*/
.ant-pagination-item-active {
  font-weight: 500;
  background: #fff;
  border-color: #387552;
}

.ant-pagination-item-active a {
  color: #387552;
}

.ant-pagination-item:focus-visible a, .ant-pagination-item:hover a {
  color: #387552;
}
.ant-pagination-item:focus-visible, .ant-pagination-item:hover {
  border-color: #387552;
  transition: all .3s;
}

/*boutons du form header et footer */
.ant-btn-primary {  
  color: #fff;
  border-color: #387552;
  background: #387552;
  text-shadow: 0 -1px 0 rgba(0,0,0,.12);
  box-shadow: 0 2px 0 rgba(0,0,0,.045);
}

.ant-btn:focus, .ant-btn:hover {
  color: rgb(56, 117, 82);
  border-color: rgb(56, 117, 82);
  background: #fff
}


.page-id-358 .elementor-button.elementor-button--view-cart.elementor-size-md, .woocommerce-checkout .elementor-button.elementor-button--view-cart.elementor-size-md {
  display: none;
}

.woocommerce-bacs-bank-details H2, .woocommerce-bacs-bank-details H3 {
  text-align: center;
}

.woocommerce-order-details a {
  font-weight: 300;
  text-decoration: none;
}


.woocommerce-order-details tfoot th {
  text-align: right;
}


.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tfoot {
  background: #f4f4f4;
  border-radius: 8px;
  margin-top: ;
}


.woocommerce-table__product-purchase-note.product-purchase-note {
  display: none;
}


.woocommerce-order-details tbody::after {
  content: "";
  height: 2em !important;
  display: block;
}


.elementor-menu-toggle {
  z-index: 9999;
}


#wwlc-login-form {
  max-width: 600px;
  margin: 0 auto;
}


.disabledButtonInfo {
  position: absolute !important;
  top: 17px;
}


.wholesale_customer .original-computed-price .woocommerce-Price-amount.amount bdi {
  display: none;
}

.wholesale_customer .wwof-order-form .original-computed-price .woocommerce-Price-amount.amount bdi {
  display: block;
}

.wps_rma_outer_wrap_info {
  margin: 20px 0 40px !important;
  border-radius: 0 !important;
}

.wps_rma_outer_wrap_info .wps_rma_ul_wrap_info {
  align-items: center;
  background: black !important;
  border: 1px solid black !important;
  border-bottom: none;
  border-radius: 0 !important;
  cursor: pointer;
  display: flex;
  margin: 0;
  padding: 20px 20px 0 !important;
  width: 100%;
}

.wps_rma_exchange_info_wrap, .wps_rma_refund_info_wrap {
  border: 1px solid black !important;
  border-radius: 0 !important;
  border-top: none;
  display: none;
  opacity: 0;
  padding: 20px 15px;
  transition: opacity .6s;
}


.woocommerce-breadcrumb {
  display: none;
}


.wholesale_customer .elementor-menu-cart__main .wholesale_price_container {
  display: none !important;
}



/* Style for the navigation bars */
#nav-scroll, #nav-scroll-resp {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    transition: top 0.3s ease-in-out;
}

/* Reset body margin to avoid layout shifts */
body {
  margin: 0;
}

.bapf_button.bapf_reset {
  background: black !important;
  font-size: 13px !important;
  padding: 9px 20px !important;
  line-height: 24px !important;
  font-weight: 400 !important;
  position: relative;
}

.elementor-widget-container .woocommerce-Price-amount.amount {
  font-size: 16px;
}

.wholesale_price_title {
  font-size: 13px;
}

.wholesale_price_minimum_order_quantity {
  font-size: 13px;
}


/* Retirer les flèches sur Chrome, Edge et Safari */
#wholesaleqty input[type="number"]::-webkit-inner-spin-button,
#wholesaleqty input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Retirer les flèches sur Firefox */
#wholesaleqty input[type="number"] {
    -moz-appearance: textfield;
}

#wholesaleqty .minus, #wholesaleqty .plus {
  margin: 0 !important;
  background: white !important;
  color: black !important;
  border: none !important;
  font-size: 20px;
}

#wholesaleqty .qty {
  height: auto !important;
  padding: 0;
  vertical-align: middle;
  position: relative;
  top: -3px;
  width: 29px;
}

#wholesaleqty .quantity {
  border: 1px solid black;
  background: white;
  border-radius: 3px 0 0 3px;
}

#wholesaleqty .button.product_type_simple.add_to_cart_button.ajax_add_to_cart {
  margin: 0 !important;
  position: relative;
  left: -5px;
  border-radius: 0 3px 3px 0;
}

#wholesaleqty .woocommerce-Price-amount.amount {
  font-size: 16px;
  margin: 0 !important;
  padding: 0 !important;
  line-height: 51px;
  font-weight: 600 !important;
}

#wholesaleqty .stock.in-stock {
  margin: 0 !important;
  line-height: 13px;
}

.bapf_button.bapf_update {
  background: black !important;
  font-size: 13px !important;
  padding: 9px 20px !important;
  line-height: 24px !important;
  font-weight: 400 !important;
  position: relative;
}

#wholesaletwofour .bapf_body select {
  background: white;
  color: black;
  border: 1px solid;
  padding: 5px 5px 8px;
  border-radius: 10px;
  font-size: 15px;
  padding: 10px 15px;
}


.is-style-side .wfc-cart-table tr.wfc-cart-form__cart-item td.product-price, .is-style-side .wfc-cart-table tr.wfc-cart-form__cart-item td.product-subtotal {
  align-items: center;
  display: block !important;
  width: auto;
}

.wholesale_price_container {
  font-size: 12px;
}

a.add_to_cart_button.disabled {
    background-color: #ccc; /* Couleur grisée */
    color: #666; /* Couleur du texte */
    pointer-events: none; /* Désactiver les clics */
    cursor: not-allowed; /* Changer le curseur */
    opacity: 0.6; /* Réduire l'opacité */
    text-decoration: none; /* Supprimer le soulignement */
}


.button.add_to_cart_button.ajax_add_to_cart.disabled::after {
  content: "Decrease stock";
  position: absolute;
  top: 42px;
  left: 15px;
  color: black;
  font-size: .8em;
}


.woocommerce-checkout .woocommerce-info {
  font-weight: bolder;
  color: red;
}


.wfc-cart-form__cart-item .wholesale_price_title {
  display: none !important;
}

@media all and (max-width: 980px) {
.woocommerce ul.products li.product:hover .woocommerce-loop-product__buttons {
display: none !important;
}
.cart .quantity input {
  font-size: 16px !important;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {
  color: black !important;
  margin-left: 15px;
}

}


.aws-wrapper input {
  font-size: 16px !important;
}


/* Apparence du message USD dans le Fast Cart */
.wfc-usd-note{
 font-size: 14px;
    opacity: .8;
    line-height: 1.3;
    margin: 1em 0;
    font-style: italic;
    color: black;
    text-decoration: underline;
}


/* Message USD sous le Total - Checkout */
.woocommerce-checkout-review-order-table tfoot .order-total-note .checkout-usd-note{
 font-size: 14px;
    opacity: .8;
    line-height: 1.3;
    margin: 1em 0;
    font-style: italic;
    color: black;
    text-decoration: underline;
}

p.wfc-usd-note {
    font-weight: 600;
    font-size: 13px;
    margin: -19px 0 20px;
    line-height: 20px;
    text-decoration: none;
    color: black;
}

.woocommerce-checkout .elementor-element-111633d,.woocommerce-checkout .elementor-element-5619a95, .woocommerce-checkout .elementor-element-385954a, .woocommerce-checkout .elementor-element-b263b38 {
  display: none !important;
}


.woocommerce-checkout .elementor-menu-cart--cart-type-mini-cart {
pointer-events: none;}


.woocommerce-account .woocommerce-form.woocommerce-form-login.login {
  max-width: 600px;
  margin: 0 auto;
}

.woocommerce-account .woocommerce > h2 {
  text-align: center;
}